Installation"

From Documentation
Line 115: Line 115:
 
== Activate ZK Studio ==
 
== Activate ZK Studio ==
  
In Eclipse's menubar, please choose '''File'''/'''Activate ZK Studio'''. A dialog will show:
+
In Eclipse's menubar, please choose '''Help'''/'''Activate ZK Studio'''. A dialog will show:
  
 
[[Image:Studio_activation_dialog.png]]
 
[[Image:Studio_activation_dialog.png]]

Revision as of 10:28, 8 February 2011

Installation



Support Version

Eclipse 3.6, Eclipse 3.5, Eclipse 3.4, RAD, MyEclipse, Spring Tool Suite 2.5.1.

Prerequisite

There are three pieces of software that you need to download and install in order to use ZK Studio.

Java SE Development Kit (JDK)

Java version 5 or 6 is required in order to run Eclipse, you can download either of them by following the links below:

JDK 6:

http://java.sun.com/javase/downloads/index.jsp

JDK 5:

http://java.sun.com/javase/downloads/index_jdk5.jsp

select which "Java SE Development Kit (JDK)" you want to download, please do not select the JRE.


Installation Instructions:

http://java.sun.com/javase/6/webnotes/install/index.html
http://java.sun.com/j2se/1.5.0/install.html


Eclipse IDE for Java EE Developers

ZK-Studio is an Eclipse Plug-in, therefore you must install Eclipse. We recommend using the ''Eclipse IDE for Java EE Developers'' package, currently v3.6 (Helios), and v3.5(Galileo)

Install:

Extract "eclipse" from the downloaded zip file to a location of your choice. To make sure Eclipse can run on your system, execute eclipse.exe (in windows) or eclipse (in unix ). You can locate these files in your extracted eclipse folder.

We recommend setting Eclipse's default JRE to JDK, please refer to the Setup/Preferences section in WTP Tutorials – Building and Running a Web Application.

Tips:

1. We recommend modifying some parameters in the configuration file eclipse.ini which will result in performance gain, please refer here and here.
2. We also recommend using the Java Development Kit (JDK) as the default JRE for Eclipse IDE, please follow these instructions to make the JDK the default JRE.



Application Servers

Before developing web applications in Java using the ZK Ajax Framework, you need to install an application server. Apache Tomcat is one of the most popular Web containers. Tomcat versions 5.5 and 6 are supported and can be downloaded at the following link http://tomcat.apache.org/.

Install:

Download the zip file of Tomcat distribution and extract it to a proper location (with no illegal characters or space in the path). Tomcat requires configuration before it can be used with Eclipse, this process is described in the following link 「 Running the ZUL File」.

Tips:

If you not only want to develop Web Applications, but also need to deploy them on Apache Tomcat, links to the official installation instructions for directly running Apache Tomcat in your environment are provided below:

v6.x:

http://tomcat.apache.org/tomcat-6.0-doc/setup.html

v5.5:

http://tomcat.apache.org/tomcat-5.5-doc/setup.html

Installation Guide

ZK Studio can be installed by using either the online installation with the update site URL, or by downloading the offline installation zip file provided here and following the Offline Installation Guide.


Online Installation on Eclipse 3.6

Much like for Eclipse 3.5. Except the update url is "http://studioupdate.zkoss.org/studio/update/eclipse_3_6"

Zkstudio installation 36 2.png

Offline Installation on Eclipse 3.6

Much like for Eclipse 3.5.

Online Installation on Eclipse 3.5

1. Open Eclipse, click the [Help] menu and select [Install New Software...]. A install window popup and then click [Add].

Zkstudio installation 35 1.JPG

2. Name the site as zkstudio and copy "http://studioupdate.zkoss.org/studio/update/eclipse_3_5" into "Location" and click [OK]

Zkstudio installation 35 2.JPG

3. Unfold the ZK Studio Update entry, check ZK Studio and then click [Next]

Zkstudio installation 35 3.JPG

The Eclipse Installation System will now attempt to retrieve information from the update site. This will take some time depending on your eclipse environment, please be patient.


4. Click [Finish] on the pop-up Install Wizard UI.

Zkstudio installation 35 4.JPG

The Installation process will now begin.

Zkstudio installation 35 5.JPG

5. Once the installation is complete, please restart Eclipse as prompted.

Zkstudio installation 35 6.JPG

Offline Installation on Eclipse 3.5

1. Download the offline installation zip file here
2. The following steps is much like online installation. But click Archive in step2. Then use file explorer to choose downloaded file in previous step.

Zkstudio installation 35 manual 2.JPG

Activate ZK Studio

In Eclipse's menubar, please choose Help/Activate ZK Studio. A dialog will show:

Studio activation dialog.png

Please input your account and password in ZK Forum to activate ZK Studio.

If you have to connect the internet through proxy, you may setup proxy URL and port to make it work.


Copyright © Potix Corporation. This article is licensed under GNU Free Documentation License.


Trouble Shooting

If you get the following error message while installing ZK Studio, that means you are not using Eclipse for J2EE user , and you need to install WTP plug-in manually or download Eclipse for J2EE.

Cannot complete the install because one or more required items could not be found.
Software currently installed: ZK Studio Eclipse Plugins 0.9.6.v200912041237 (org.zkoss.eclipse.feature.group 0.9.6.v200912041237)
Missing requirement: ZK Studio Storage Plug-in 0.9.6.v200912041237 (org.zkoss.eclipse.zks 0.9.6.v200912041237) requires 'bundle org.eclipse.wst.common.project.facet.ui 0.0.0' but it could not be found
Cannot satisfy dependency:  From: ZK Studio Eclipse Plugins 0.9.6.v200912041237 (org.zkoss.eclipse.feature.group 0.9.6.v200912041237)
To: org.zkoss.eclipse.ve [0.9.6.v200912041237]
Cannot satisfy dependency:  From: ZK Studio Visual Editor Plug-in 0.9.6.v200912041237 (org.zkoss.eclipse.ve 0.9.6.v200912041237)
To: bundle org.zkoss.eclipse.zks 0.0.0